import { createRouter, createWebHistory } from 'vue-router'
import { dynamicRoutes } from './menuArr'
const menuArr = dynamicRoutes('first')
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'layout',
      meta: {
        title: 'layout'
      },
      redirect: "dashboard",
      component: () => import('@/views/LayoutView.vue'),
      children: menuArr,
    }, {
      path: "/login",
      name: "login",
      component: () => import('@/views/login/index.vue'),
      meta: {
        title: '登录'
      }
    },
  ]
})

export default router
export { menuArr }
