import HomeView from '../views/HomeView.vue'
const menuArr = [
    {
        path: '/dashboard',
        name: 'dashboard',
        meta: {
            title: '租户管理',
            icon: 'monitor'
        },
        component: () => import('@/views/configuration/dashboard.vue'),
    },
    {
        path: '/worker',
        name: 'worker',
        meta: {
            title: '工作台',
            icon: 'menu'
        },
        children: [
            {
                path: '/worker/myTodo',
                name: 'todo',
                meta: {
                    title: '我的待办',
                },
                component: () => import('@/views/configuration/myTodo.vue'),
            },
            {
                path: '/worker/myStart',
                name: 'myStart',
                meta: {
                    title: '我发起的',
                },
                component: () => import('@/views/configuration/myStart.vue'),
            },
            {
                path: '/worker/myHandle',
                name: 'myHandle',
                meta: {
                    title: '我处理的',
                },
                component: () => import('@/views/configuration/myHandle.vue'),
            },

        ]
    },
    {
        path: '/order',
        name: 'order',
        meta: {
            title: '全部工单',
            icon: 'folder'
        },
        component: () => import('@/views/configuration/order.vue'),
    },
    {
        path: '/document',
        name: 'document',
        meta: {
            title: '文档库',
            icon: 'tickets'
        },
        component: () => import('@/views/configuration/document.vue'),
    },
]



export function dynamicRoutes(str) {
    if (str == 'first') {
        return menuArr
    }
}
